exif-mnote-data.h File Reference

Handling EXIF MakerNote tags. More...

`#include <libexif/exif-log.h>`

Go to the source code of this file.

## Typedefs

typedef struct _ExifMnoteData | ExifMnoteData
| Data found in the MakerNote tag.

## Functions

void | exif_mnote_data_ref (ExifMnoteData *)
void | exif_mnote_data_unref (ExifMnoteData *)
void | exif_mnote_data_load (ExifMnoteData *d, const unsigned char *buf, unsigned int buf_size)
| Load the MakerNote data from a memory buffer.
void | exif_mnote_data_save (ExifMnoteData *d, unsigned char **buf, unsigned int *buf_size)
| Save the raw MakerNote data into a memory buffer.
unsigned int | exif_mnote_data_count (ExifMnoteData *d)
| Return the number of tags in the MakerNote.
unsigned int | exif_mnote_data_get_id (ExifMnoteData *d, unsigned int n)
| Return the MakerNote tag number for the tag at the specified index within the MakerNote.
const char * | exif_mnote_data_get_name (ExifMnoteData *d, unsigned int n)
| Returns textual name of the given MakerNote tag.
const char * | exif_mnote_data_get_title (ExifMnoteData *d, unsigned int n)
| Returns textual title of the given MakerNote tag.
const char * | exif_mnote_data_get_description (ExifMnoteData *d, unsigned int n)
| Returns verbose textual description of the given MakerNote tag.
char * | exif_mnote_data_get_value (ExifMnoteData *d, unsigned int n, char *val, unsigned int maxlen)
| Return a textual representation of the value of the MakerNote entry.
void | exif_mnote_data_log (ExifMnoteData *, ExifLog *)

## Detailed Description

Handling EXIF MakerNote tags.

## Function Documentation

## exif_mnote_data_count()

unsigned int exif_mnote_data_count | ( | ExifMnoteData * | d | ) |

Return the number of tags in the MakerNote.

Parameters

  [in] | d | MakerNote data

Returns
  number of tags, or 0 if no MakerNote or the type is not supported

## exif_mnote_data_get_description()

const char * exif_mnote_data_get_description | ( | ExifMnoteData * | d,
|  | unsigned int | n )

Returns verbose textual description of the given MakerNote tag.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual description of the tag or NULL on error

## exif_mnote_data_get_id()

unsigned int exif_mnote_data_get_id | ( | ExifMnoteData * | d,
|  | unsigned int | n )

Return the MakerNote tag number for the tag at the specified index within the MakerNote.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  MakerNote tag number

## exif_mnote_data_get_name()

const char * exif_mnote_data_get_name | ( | ExifMnoteData * | d,
|  | unsigned int | n )

Returns textual name of the given MakerNote tag.

The name is a short, unique (within this type of MakerNote), non-localized text string containing only US-ASCII alphanumeric characters.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual name of the tag or NULL on error

## exif_mnote_data_get_title()

const char * exif_mnote_data_get_title | ( | ExifMnoteData * | d,
|  | unsigned int | n )

Returns textual title of the given MakerNote tag.

The title is a short, localized textual description of the tag.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual name of the tag or NULL on error

## exif_mnote_data_get_value()

char * exif_mnote_data_get_value | ( | ExifMnoteData * | d,
|  | unsigned int | n,
|  | char * | val,
|  | unsigned int | maxlen )

Return a textual representation of the value of the MakerNote entry.

Warning
  The character set of the returned string may be in the encoding of the current locale or the native encoding of the camera.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data
  [out] | val | buffer in which to store value
  [in] | maxlen | length of the buffer val

Returns
  val pointer, or NULL on error

## exif_mnote_data_load()

void exif_mnote_data_load | ( | ExifMnoteData * | d,
|  | const unsigned char * | buf,
|  | unsigned int | buf_size )

Load the MakerNote data from a memory buffer.

Parameters

  [in] | d | MakerNote data
  [in] | buf | pointer to raw MakerNote tag data
  [in] | buf_size | number of bytes of data at buf

## exif_mnote_data_save()

void exif_mnote_data_save | ( | ExifMnoteData * | d,
|  | unsigned char ** | buf,
|  | unsigned int * | buf_size )

Save the raw MakerNote data into a memory buffer.

The buffer is allocated by this function and must subsequently be freed by the caller.

Parameters

  [in,out] | d | extract the data from this structure
  [out] | buf | pointer to buffer pointer containing MakerNote data on return
  [out] | buf_size | pointer to the size of the buffer